Invitation déjà en attente

Moses SkodaIngénieur1 min de lecture

L’API renvoie 409 Conflict pour ce problème. Son type est https://lingo.dev/docs/api/errors/invite-already-exists. Consultez Erreurs et codes de statut pour connaître la structure commune à toutes les erreurs.

L’organisation <organizationId> a déjà une invitation en attente pour ada@example.com. Annulez cette invitation avant d’en envoyer une nouvelle.

Champs#

En plus des membres standard type, status, title et detail, le corps contient les champs suivants. Le texte detail est généré à partir de ces champs, ce qui permet à un client d’afficher son propre texte à la place.

ChampType
organizationIdstring
emailstring

Exemple#

json
{
  "detail": "Organization <organizationId> already has a pending invitation for ada@example.com. Cancel that invitation before sending a new one.",
  "organizationId": "<organizationId>",
  "email": "ada@example.com",
  "type": "https://lingo.dev/docs/api/errors/invite-already-exists",
  "status": 409,
  "title": "Invitation already pending"
}

Renvoyée par#

  • POST /v2/organizations/{orgId}/invites